<template>
  <div>
    <el-dialog :title="title" :visible.sync="open" width="1200px" append-to-body>
      <el-table :data="dataList" ref="elTable" v-loading="loading" border @selection-change="handleSelectionChange">
        <el-table-column type="selection" width="40" align="center" />
        <el-table-column label="标号" prop="aid" align="center" />
        <el-table-column label="结论值" prop="ruleStr" align="center" />
        <el-table-column label="参考范围" prop="reference" align="center" />
        <el-table-column label="简码" prop="jm" align="center" />
      </el-table>
      <span slot="footer" class="dialog-footer">
        <el-button @click="open = false">取 消</el-button>
        <el-button type="primary" @click="handleOk">确 定</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
import { selectZT } from "@/api/system/package";
export default {
  name: "Packages",
  props: {
    baogao: {
      type: Array,
    },
  },
  data() {
    return {
      open: false,
      proId: '',
      // 弹出层标题
      title: "",
      dataList: [],
      // 遮罩层
      loading: false,
      form: {
        desc: "",
      },
      list: [],
      fList: {},
    };
  },
  mounted() {
  },
  methods: {
    handleOk() {
      this.open = false
      this.$emit('add', this.list);
    },
    handleQuery() {
      this.getList();
    },
    handleSelectionChange(selection) {
      if (selection.length > 1) {
        // 如果选择了多行，保留最后一行
        this.$refs.elTable.clearSelection();  // 清空所有选择
        this.$refs.elTable.toggleRowSelection(selection[selection.length - 1]);  // 重新选择最后一项
      }

      // 获取最后选择的行
      this.list = [selection[selection.length - 1]];
    },
    getList() {
      this.loading = true;
      selectZT({
        proId: this.proId
      }).then((res) => {
        if (res.data) {
          this.dataList = res.data;
          this.loading = false;
        }
      });
    },
  },
};
</script>

<style scoped></style>
